Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZAutoLinkOperator Class Reference

## Public Member Functions
| __construct ( $name='autolink')
| operatorList ()
| namedParameterList ()
| formatUri ( $url, $max)
| modify ( $tpl, $operatorName, $operatorParameters, $rootNamespace, $currentNamespace, &$operatorValue, $namedParameters, $placement)

## Static Public Member Functions
| addURILinks ( $text, $max, $methods='http|https|ftp')

## Public Attributes
| $Operators

## Detailed Description

Definition at line 11 of file ezautolinkoperator.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZAutoLinkOperator::__construct | ( |  | $name = `'autolink'` | ) |

Constructor

Parameters

  string | $name |

Definition at line 18 of file ezautolinkoperator.php.

## Member Function Documentation

## ◆ addURILinks()

eZAutoLinkOperator::addURILinks | ( |  | $text,
|  |  | $max,
|  |  | $methods = `'http|https|ftp'`
| ) |  |
| static

Definition at line 54 of file ezautolinkoperator.php.

References formatUri().

Referenced by modify().

## ◆ formatUri()

eZAutoLinkOperator::formatUri | ( |  | $url,
|  |  | $max
| ) |  |

Definition at line 41 of file ezautolinkoperator.php.

Referenced by addURILinks().

## ◆ modify()

eZAutoLinkOperator::modify | ( |  | $tpl,
|  |  | $operatorName,
|  |  | $operatorParameters,
|  |  | $rootNamespace,
|  |  | $currentNamespace,
|  | & | $operatorValue,
|  |  | $namedParameters,
|  |  | $placement
| ) |  |

Definition at line 64 of file ezautolinkoperator.php.

References addURILinks().

## ◆ namedParameterList()

eZAutoLinkOperator::namedParameterList | ( |  | ) |

See eZTemplateOperator::namedParameterList()

Definition at line 34 of file ezautolinkoperator.php.

## ◆ operatorList()

eZAutoLinkOperator::operatorList | ( |  | ) |

Returns the operators in this class.

Definition at line 26 of file ezautolinkoperator.php.

References $Operators.

## Member Data Documentation

## ◆ $Operators

eZAutoLinkOperator::$Operators

Definition at line 84 of file ezautolinkoperator.php.

Referenced by operatorList().

The documentation for this class was generated from the following file:

- ezautolinkoperator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.